Đến nội dung


Hình ảnh
* * * - - 8 Bình chọn

Viết lisp theo yêu cầu [phần 2]


  • Chủ đề bị khóa Chủ đề bị khóa
3783 replies to this topic

#2921 NguyenNdait

NguyenNdait

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 21 December 2010 - 03:45 PM

Mình load lisp theo hướng dẫn của bạn, nhưng không chạy được.
Không hiểu sao ...?
Mong được Bạn giúp đở.
Cám ơn

Va^?n không thu+.c hie^.n ?u+o+.c le^.nh ba.n o+i ..!!!


Mình gộp hết lại vào 1 file lvtcu_ndait.lsp cho bạn dễ sử dụng :
http://www.cadviet.c...tcu_ndait_1.lsp

Túm lại ctrình này có nhiệm vụ copy 1 vùng (rectangle) dữ liệu đến đặt vào 1 chỗ mà mình cần.
Bạn làm như sau :
load file lvtcu_ndait.lsp
gọi lệnh lvtcu
Nhập tỷ lệ mong muốn. 5 = 500 ( 1=1000 , 2=2000 ....)
Pick chọn vùng mà bạn cần đem kết quả đến bằng cách chọn 2 điểm tạo ra 1 hình chữ nhật. (Vùng đặt kết quả)
Dịch chuyển màn hình đến khu vực bạn cần lấy dữ liệu bằng nút cuộn của con chuột (Vùng dữ liệu cần lấy)
Lúc này bạn sẽ thấy 1 hình chữ nhật đi kèm theo con trỏ chuột.
Bạn pick chọn 1 điểm sao cho hcn đó chộp được những gì bạn cần.
Có thể bạn sẽ cần lấy thêm các số thửa lân cận nằm ngoài vùng chọn. Ban hãy chọn text rồi chọn 1 điểm trong vùng hcn để đặt nó. (Nếu thấy không cần bổ sung gì thì cứ enter cho qua ) Xong bấm enter.
Pick chọn 1 điểm tại 1 vị trí bất kỳ sao cho vùng màn hình có đủ chỗ trống để ct mượn chỗ thao tác. (Cắt xén)
Hết lệnh. Lúc này ct sẽ đem những gì bạn cần chép đến vùng kết quả
Bạn xem file ví dụ sẽ thấy rõ hơn :http://www.cadviet.c...les/3/lvtcu.dwg

@: Nếu ctrình vẫn lỗi, không chạy trên máy bạn được thì bạn hãy cho mình biết thông tin lỗi cụ thể để mình tiện xem lại
Vì ctrình này vẫn chạy tốt trên máy của mình
Chúc bạn thành công !
  • 0

Mầm non phường ba - Đây ta mầm cụ
Lãnh tụ non sông - Ngộ không.


#2922 ngocnam.cad

ngocnam.cad

    biết vẽ ellipse

  • Members
  • PipPip
  • 52 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 22 December 2010 - 08:42 AM

Hê hê. Chuẩn men. bao nhiêu bài viết của bác cuối cùng cũng chốt về đuợc 1 câu này. :leluoi:
@ngocnam.cad: Lisp làm thưa trắc ngang mình đã post trong topic này rồi. Bạn chịu khó tìm trong khoảng 20trang trước trang này sẽ thấy
Còn về việc sửa tên cọc: Nếu muốn làm theo cách của vuvuzela huớng dẫn thì bạn làm đến buớc 3.
4. Mở file tuyen1.ntd bằng excel
5. Ctrl+A, dùng công cụ Fitter để lọc lấy các dòng có giá trị mô tả ở cột đầu tiên là POLE
(trong excel 2007 thì vào thẻ data. bấm nút Fitter -> bấm vào mũi tên ở ô A1 và bỏ chọn tất cả các mục trong đó chỉ để lại mục POLE)
6. Giờ thì thích sửa thế nào tùy bạn
Dùng cách này bạn có thể sửa tên cọc hàng loạt bằng các hàm của excel. cũng nhẹ nhàng hơn khi dùng nova nhiều. sửa xong lưu kết quả lại ở định dạng *.ntd.
Hê hê, nhanh, gọn, nhẹ :cheers:

hihi. Cám ơn bác nhiều nhiều :undecided:
  • 0

#2923 ngocnam.cad

ngocnam.cad

    biết vẽ ellipse

  • Members
  • PipPip
  • 52 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 22 December 2010 - 08:43 AM

Bác cứ gửi tui file *dwg (hoặc *.ntd càng tốt) nguyên bản (chưa chỉnh sửa) tui thử cho bác xem
30 giây sau là có kết quả liền à
Đảm bảo không đẹp không lấy tiền

đây nè thử 1 cái chỉnh sửa theo ý bác
http://www.cadviet.c...a_chinh_sua.rar

nếu bác muốn thì gửi tiếp tui thử cho

:undecided:

vâng ! thank bác nhiều, em đúng là cùi quá à !
  • 0

#2924 ngocnam.cad

ngocnam.cad

    biết vẽ ellipse

  • Members
  • PipPip
  • 52 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 22 December 2010 - 09:38 AM

Bác cứ gửi tui file *dwg (hoặc *.ntd càng tốt) nguyên bản (chưa chỉnh sửa) tui thử cho bác xem
30 giây sau là có kết quả liền à
Đảm bảo không đẹp không lấy tiền

đây nè thử 1 cái chỉnh sửa theo ý bác
http://www.cadviet.c...a_chinh_sua.rar

nếu bác muốn thì gửi tiếp tui thử cho

:undecided:

hơ. xin lỗi bác , nhưng hình như bác gửi nhầm file cho em thì phải , bác xem lại nha. :leluoi:
  • 0

#2925 ngocnam.cad

ngocnam.cad

    biết vẽ ellipse

  • Members
  • PipPip
  • 52 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 22 December 2010 - 09:42 AM

bác Thaistress thân, em đã tìm trong các trang từ 120 trở về đây nhưng sao ko thấy cái lisp làm thưa trắc ngang mà bác nói, hix có ai cho em xin link được không ạ. có gì các bác bỏ qúa nhé . chúc các bác giáng sinh an lành. :undecided:
  • 0

#2926 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 22 December 2010 - 11:31 AM

Cám ơn Bạn mình đã hiểu .
nhưng vào bước 6 thì mình chọn theo khung cửa sổ, lisp chọn hết ---> mình muốn nó chỉ chọn theo đối tượng mẫu đã xác lập ở trên
Đối với bước 7 và 8 mình nên bổ sung lệnh vào trong lisp, yêu cầu đặt tên cho mới là gì ? và xuất ra lớp đó luôn.
Vậy có khó lắm không bạn, rất mong bạn giúp.

Chào bạn ocinaqua,
Bạn hiểu sai rồi.
Ở bước 6, lisp sẽ chỉ chọn các đối tượng thỏa điều kiện chọn theo mẫu mà bạn đã xác lập ở các bước trên chứ không phải chọn tất cả các đối tượng trong vùng chọn đâu
Bước 7, việc nhấn enter thực chất chỉ là việc kết thúc lệnh chọn đối tượng mà thôi, khi đó lisp sẽ hiển thị những đối tượng đả được chọn.
Bước 8, có thể bổ sung thêm vào lisp song như đã nói lisp này là của bác NguyenNdait, muốn bổ sung cần phải đọc và hiểu nó đã. Bạn phải chờ thôi. Trước mắt hãy cố hiểu để dùng nó phục vụ cho công việc của bạn đi đã, đừng chờ tới khi có phần bổ sung mới làm...
Chúc bạn vui.
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#2927 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 22 December 2010 - 12:25 PM

Cám ơn Bạn mình đã hiểu .
nhưng vào bước 6 thì mình chọn theo khung cửa sổ, lisp chọn hết ---> mình muốn nó chỉ chọn theo đối tượng mẫu đã xác lập ở trên
Đối với bước 7 và 8 mình nên bổ sung lệnh vào trong lisp, yêu cầu đặt tên cho mới là gì ? và xuất ra lớp đó luôn.
Vậy có khó lắm không bạn, rất mong bạn giúp.

Chào bạn ocinaqua,
Bạn dùng thử cái này coi đã ưng ý chưa nhé. Mình tin là bạn sẽ còn nhiều yêu cầu nữa phát sinh. Hề hề hề.
Cái ni là mình bổ sung thêm vào lisp của bác NguyenNdait để bạn xài thử, có y kiến gì thì mình sẽ hoàn chỉnh sau. Hy vọng bạn sẽ thử dùng nó.

;;Loc lay cac doi tuong theo tinh chat cua doi tuong mau
(defun c:Loc (/ LOC1 LOC2 KDT LAY COR LTYP CACHLOC OBJ)
(setvar "osmode" 0)
(while (null (setq LOC1 (car (entsel "\nChon 1 doi tuong lam mau loc"))))
(princ "\nKhong co doi tuong."));while
(setvar "cmdecho" 1) ;;;;;;;;; (setvar "blipmode" blip) (setvar "osmode" osmo)
(setq LOC2 (entget Loc1) KDT (cdr (assoc 0 LOC2)) LAY (cdr (assoc 8 LOC2)))
(if (null (assoc 62 LOC2)) (setq COR 256) (setq COR (cdr (assoc 62 LOC2))))
(if (null (assoc 6 LOC2)) (setq LTYP "BYLAYER") (setq LTYP (assoc 6 LOC2)))
(initget "Kieu Lop Mau Dangduong")
(setq CACHLOC (getkword "\nChon cach loc: Kieu,Lop,Mau,Dangduong : "))
(setq ss (cond
((= "Kieu" CACHLOC) (sssetfirst nil (setq OBJ (ssget (list (cons 0 KDT))))))
((= "Lop" CACHLOC) (sssetfirst nil (setq OBJ (ssget (list (cons 8 LAY))))))
((= "Mau" CACHLOC) (sssetfirst nil (setq OBJ (ssget (list (cons 62 COR))))))
((= "Dangduong" CACHLOC) (sssetfirst nil (setq OBJ (ssget (list (cons 6 LTYP))))))
(t (sssetfirst nil (setq OBJ (ssget (list (cons 0 KDT) (cons 8 LAY) (cons 62 COR)
(cons 6 LTYP))))))
);cond
)

(setq Ten (getstring t "\n Nhap ten lop ban muon: "))
(if (= (tblsearch "layer" ten) nil)
(command "layer" "n" ten "")
)
(command "change" (cadr ss) "" "p" "la" ten "")


(princ))

  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#2928 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 22 December 2010 - 02:47 PM

Em đã tìm trong các trang từ 120 trở về đây nhưng sao ko thấy cái lisp làm thưa trắc ngang mà bác nói, hix có ai cho em xin link được không ạ.

Đây bạn tròn 50 trang trước. không ngờ topic này trôi nhanh thế :undecided:
  • 1

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD


#2929 NDBNGO

NDBNGO

    biết lệnh rotate

  • Members
  • PipPipPip
  • 132 Bài viết
Điểm đánh giá: 20 (tàm tạm)

Đã gửi 22 December 2010 - 02:50 PM

Mình gộp hết lại vào 1 file lvtcu_ndait.lsp cho bạn dễ sử dụng :
http://www.cadviet.c...tcu_ndait_1.lsp

Túm lại ctrình này có nhiệm vụ copy 1 vùng (rectangle) dữ liệu đến đặt vào 1 chỗ mà mình cần.
Bạn làm như sau :
load file lvtcu_ndait.lsp
gọi lệnh lvtcu
Nhập tỷ lệ mong muốn. 5 = 500 ( 1=1000 , 2=2000 ....)
Pick chọn vùng mà bạn cần đem kết quả đến bằng cách chọn 2 điểm tạo ra 1 hình chữ nhật. (Vùng đặt kết quả)
Dịch chuyển màn hình đến khu vực bạn cần lấy dữ liệu bằng nút cuộn của con chuột (Vùng dữ liệu cần lấy)
Lúc này bạn sẽ thấy 1 hình chữ nhật đi kèm theo con trỏ chuột.
Bạn pick chọn 1 điểm sao cho hcn đó chộp được những gì bạn cần.
Có thể bạn sẽ cần lấy thêm các số thửa lân cận nằm ngoài vùng chọn. Ban hãy chọn text rồi chọn 1 điểm trong vùng hcn để đặt nó. (Nếu thấy không cần bổ sung gì thì cứ enter cho qua ) Xong bấm enter.
Pick chọn 1 điểm tại 1 vị trí bất kỳ sao cho vùng màn hình có đủ chỗ trống để ct mượn chỗ thao tác. (Cắt xén)
Hết lệnh. Lúc này ct sẽ đem những gì bạn cần chép đến vùng kết quả
Bạn xem file ví dụ sẽ thấy rõ hơn :http://www.cadviet.c...les/3/lvtcu.dwg

@: Nếu ctrình vẫn lỗi, không chạy trên máy bạn được thì bạn hãy cho mình biết thông tin lỗi cụ thể để mình tiện xem lại
Vì ctrình này vẫn chạy tốt trên máy của mình
Chúc bạn thành công !

Bạn có thể sửa mã lisp có thể chọn đưọc 10 vùng (hoặc hơn ) để trích ra 10 thửa hoặc hơn được không. Mình định sửa nhưng ngồi dò mã lâu quá ,chưa thể sửa được.
Nghĩa là cũng như bạn chọn 10 vùng đặt kết quả rồi dến 10 vùng cần lấy.
Cảm ơn.
  • 0

#2930 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 22 December 2010 - 02:57 PM

Cám ơn Bạn, cái này thì tuyệt vời rồi không thể nói gì đi nữa.
Xin có ý này thêm nha,,,, bạn xem lại bản vẽ trước cần tách nhé. Đơn vị tư vấn ban đầu khảo sát phá hết khối và đưa về cùng một lớp.
Lisp LOC đã giải quyết chọn và tách được text, theo duong, M, L,.... Nhưng các khối như kí hiệu cây, lưới chử thập ô vuông bản đồ,... dạng kiểu đường, cùng màu mình chưa tách được.
Ý mình muốn bổ sung là : Chọn cả nhóm đối tượng tạo mẫu cho điều kiện ban đầu khi lọc, khi đó lisp hiểu đó là nhóm đối tượng mẫu, lisp tìm và chọn trong các đối tượng và tách ra theo lớp riêng.
Mong được bạn giúp.

Chào bạn Ocinaqua,
Rất mừng là bạn hài lòng với cái lisp đã sửa.
Yêu cầu mới đặt ra của bạn có vẻ như không dễ xơi. Mình chưa nghĩ ra thuật toán để giải. Có thể các bác khác sẽ có chăng. Bạn hãy ráng mà dợi đấy hỉ....
Tuy nhiên mình có ý kiến rằng bạn có thể tận dụng cái lisp trên để giải quyết tốt vấn đề của bạn. Có thể bạn phải tách làm nhiều lần, mỗi lần một loại đối tượng bạn cần rồi sau đó làm cái bước nhập chúng lại với nhau, Theo mình nghĩ việc này không quá khó nếu bạn chủ động suy nghĩ và tìm giải pháp.
Với cái lisp đã có, nếu bạn vận dụng một cách sáng tạo thì nó đủ sức làm chí ít cũng là 80% yêu cầu của bạn trong thời gian không quá lâu. Phần còn lại chỉ bẳng thủ công bạn cũng đã giải quyết tốt mà chả cần sự trợ giúp nào cả bạn ạ.
Cái lisp mới thì mình chưa rõ bao giờ sẽ có, và ngay cả khi có chưa chắc đã đúng cái bạn cần. Vậy nên hãy tự cứu mình trước khi trời cứu bạn ạ. Diễn đàn tuy nhiều người nhưng không phải ai cũng có thể đủ điều kiện và khả năng giúp bạn được. Vậy nên bạn hãy ráng lên.
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#2931 VUVUZELA

VUVUZELA

    biết lệnh chamfer

  • Members
  • PipPipPipPip
  • 210 Bài viết
Điểm đánh giá: 97 (tàm tạm)

Đã gửi 22 December 2010 - 03:46 PM

bác Thaistress thân, em đã tìm trong các trang từ 120 trở về đây nhưng sao ko thấy cái lisp làm thưa trắc ngang mà bác nói, hix có ai cho em xin link được không ạ. có gì các bác bỏ qúa nhé . chúc các bác giáng sinh an lành. :undecided:


bạn cứ gửi file *.ntd nào thật nhiều cọc, các Tn dày mo vào cho tui
đảm bảo 30s sau là có hàng liền
==> ra file *.ntd như ý luôn
Độc như thịt chuột lun
hehe
  • 1

Hệ thống Liên Kết, Thiết Kế Tự Động

ttps://www.facebook...etThietKeTuDong


#2932 ngocnam.cad

ngocnam.cad

    biết vẽ ellipse

  • Members
  • PipPip
  • 52 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 22 December 2010 - 03:50 PM

Đây bạn tròn 50 trang trước. không ngờ topic này trôi nhanh thế :undecided:

Vâng ! cám ơn bác nhiều nhiều, bác cho em hỏi thêm chút đuowjc không ạ: để sử dụng lisp EDTN thì trước khi chạy nova thì phải có thêm bước NS nữa hả bác? nếu em copy bản vẽ từ máy khác rồi mang về chỉnh sửđuowcj không bác?nếu không chạy lệnh NS thì sẽ thế nào ạ??
  • 0

#2933 ngocnam.cad

ngocnam.cad

    biết vẽ ellipse

  • Members
  • PipPip
  • 52 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 22 December 2010 - 03:52 PM

bạn cứ gửi file *.ntd nào thật nhiều cọc, các Tn dày mo vào cho tui
đảm bảo 30s sau là có hàng liền
==> ra file *.ntd như ý luôn
Độc như thịt chuột lun
hehe

em xin cám ơn bác nhiều, em tin là bác làm được rùi mà . Chúc bác và gia đình luôn mạnh khỏe.
  • 0

#2934 ngocnam.cad

ngocnam.cad

    biết vẽ ellipse

  • Members
  • PipPip
  • 52 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 22 December 2010 - 04:08 PM

bác VUVUZELA có thể đặt khoảng cách miacần xóa không ạ?? ý em là tùy thuộc vào địa hình của mình mà xóa mia dày, mỏng cho phù hợp đó.gửi bác file cad 2008 :http://www.cadviet.com/upfiles/3/sua.rar .bác sửa được trắc ngang ở bản 08 ko a?
  • 0

#2935 thanhvienmoi1981

thanhvienmoi1981

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 22 December 2010 - 05:08 PM

nhờ các bác giúp: mình có file micro khi chuyển qua autocad không mở được báo lỗi " drawing is not valid". Bác nào biết xin chuyển dùm. Xin cảm ơn
http://www.cadviet.c.../3/mptanvan.rar
  • 0

#2936 thichhoabinh

thichhoabinh

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 22 December 2010 - 05:22 PM

Bác nào viết giúp e lisp tạo group,xóa group, xóa tất cả các group một cách nhanh chóng với.Bình thường mỗi lần tạo cứ phải vào add, đặt tên rất phiền hà :undecided:(
  • 0

#2937 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 22 December 2010 - 06:52 PM

Cám ơn bạn phamthanhbinh đã giúp đở và động viên mình, mình cũng đang sửa và sắp xết lại các bản vẽ theo trình tự các lớp lại cho chuyên nghiệp, giải quyết từ các hiện trạng cho đến các bản vẽ khác, Cho nên mình suy nghĩ hoài làm thế nào mà giải quyết vấn đề trên cho một cách hợp lý , làm lại những ... mà những người không hay đã tạo ra đó.
Việc lọc đối tượng, hay một nhóm, Block giống nhau thực tế mình cũng rất cần, để chọn nó ra và thay thế lại những thứ mới và tốt hơn,
Cám ơn bạn giúp

Chào bạn ocinaqua,
Gửi bạn cái lisp lọc theo nhóm đối tượng mẫu. Tuy mình cải tạo cái lisp của bác NguyenNdait để bạn dùng thử như thật lòng mình khuyên bạn nên hạn chế sử dụng so với cái lisp của bác ấy. Lý do là vì với các bản vẽ như của bạn, có rất nhiều đối tượng khác nhau nhưng lại cùng kiểu loại, cùng màu hay cùng lớp, cùng ltyp. Nếu bạn chọn theo nhóm đối tượng hơi nhiều một chút là dễ dính đòn chọn hầu như hết các đối tượng lắm, ngoại trừ việc chọn theo màu (Bởi vì như bạn biết thì chả có đối tượng nào lại có hai màu cả đúng không) Vì thế với lísp này khi bạn định chọn các nhóm đối tượng theo màu thì bạn phải chọn đối tượng nào có màu cần chọn trước bạn nhé.
Việc chọn đối tượng theo nhóm đối tượng mẫu này chỉ nên sử dụng với các bản vẽ có tổ chức chặt chẽ và quy củ thôi bạn ạ, nếu không thà bạn dùng cái lisp trước của bác NguyênNdait còn nhanh chóng và thuận lợi hơn nhiều.

;;Loc lay cac doi tuong theo tinh chat cua nhom doi tuong mau
(defun c:Loc (/ LOC1 LOC2 KDT LAY COR LTYP CACHLOC OBJ)
(setvar "osmode" 0)
;;;;;;;;;;;;;;;(while (null (setq LOC1 (car (entsel "\nChon 1 doi tuong lam mau loc"))))
;;;;;;;;;;;;;;(princ "\nKhong co doi tuong."));while
(alert "\n Hay chon nhom doi tuong mau")
(setq ssm (ssget )
n (sslength ssm)
i 0
KDT1 ""
LAY1 ""
COR1 ""
LTYP1 ""
)
(setvar "cmdecho" 1) ;;;;;;;;; (setvar "blipmode" blip) (setvar "osmode" osmo)

(repeat n
(setq LOC1 (ssname ssm i))
(setq LOC2 (entget Loc1) KDT (cdr (assoc 0 LOC2)) LAY (cdr (assoc 8 LOC2)))
(if (null (assoc 62 LOC2)) (setq COR 256) (setq COR (cdr (assoc 62 LOC2))))
(if (null (assoc 6 LOC2)) (setq LTYP "BYLAYER") (setq LTYP(cdr (assoc 6 LOC2))))

(if (= (wcmatch kdt1 (strcat "*" kdt "*")) nil)
(setq kdt1 (strcat kdt1 kdt ","))
)
(if (= (wcmatch lay1 (strcat "*" lay "*")) nil)
(setq lay1 (strcat lay1 lay ","))
)
(if (= (wcmatch cor1 (strcat "*" (itoa cor) "*")) nil)
(setq cor1 (strcat cor1 (itoa cor) ","))
)
(if (= (wcmatch ltyp1 (strcat "*" ltyp "*")) nil)
(setq ltyp1 (strcat ltyp1 ltyp ","))
)
(setq i (1+ i))
)
(setq kdt1 (substr kdt1 1 (1- (strlen kdt1)))
lay1 (substr lay1 1 (1- (strlen lay1)))
cor1 (substr cor1 1 (1- (strlen cor1)))
ltyp1 (substr ltyp1 1 (1- (strlen ltyp1)))
)


(initget "Kieu Lop Mau Dangduong")
(setq CACHLOC (getkword "\nChon cach loc: Kieu,Lop,Mau,Dangduong : "))
(setq ss (cond
((= "Kieu" CACHLOC) (sssetfirst nil (setq OBJ (ssget (list (cons 0 KDT1))))))
((= "Lop" CACHLOC) (sssetfirst nil (setq OBJ (ssget (list (cons 8 LAY1))))))
((= "Mau" CACHLOC) (sssetfirst nil (setq OBJ (ssget (list (cons 62 (atoi COR1)))))))
((= "Dangduong" CACHLOC) (sssetfirst nil (setq OBJ (ssget (list (cons 6 LTYP1))))))
(t (sssetfirst nil (setq OBJ (ssget (list (cons 0 KDT1) (cons 8 LAY1) (cons 62 (atoi COR1))
(cons 6 LTYP1))))))
);cond
)

(setq Ten (getstring t "\n Nhap ten lop ban muon: "))
(if (= (tblsearch "layer" ten) nil)
(command "layer" "n" ten "")
)
(command "change" (cadr ss) "" "p" "la" ten "")


(princ))

  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#2938 khaosat2009

khaosat2009

    biết lệnh offset

  • Members
  • PipPipPip
  • 171 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 22 December 2010 - 08:57 PM

Việc xác định tim đường giao thông và thủy lợi trong bản vẻ quá lớn, phài đo, chia và vẽ đoạn giửa 2 đường .
Nay nhờ các anh giúp cho một Lisp xác dịnh tim giửa 2 đường, Khi ta chọn đường lề thứ nhứt và thứ 2 thì vẻ đường ở giửa và ghi ra lớp tim điuờng, khi chọn vẻ tim thuy hệ thì tao lớp tim thủy hệ.
Rất mong được các anh giúp
http://www.cadviet.c...tim_gt_tloi.rar
  • 0

#2939 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 23 December 2010 - 02:11 AM

Bác nào viết giúp e lisp tạo group,xóa group, xóa tất cả các group một cách nhanh chóng với.Bình thường mỗi lần tạo cứ phải vào add, đặt tên rất phiền hà :undecided:(

Không hiểu xóa group của bạn nghĩa là thế nào luôn. (xóa group trên bản vẽ hay là explode group)
đây là lệnh tạo nhanh group. group được tạo là 1 group không tên. với chú thích Desgription là: thichhoabinh's Group. bạn có thể tìm thấy nó trong Group manager bằng cách pick chọn Include unnamed.
(defun c:TG ()(ACET-GROUP-MAKE-ANON (acet-ss-to-list (ssget)) "thichhoabinh's Group"))
  • 1

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD


#2940 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 23 December 2010 - 02:23 AM

Vâng ! cám ơn bác nhiều nhiều, bác cho em hỏi thêm chút đuowjc không ạ: để sử dụng lisp EDTN thì trước khi chạy nova thì phải có thêm bước NS nữa hả bác? nếu em copy bản vẽ từ máy khác rồi mang về chỉnh sửđuowcj không bác?nếu không chạy lệnh NS thì sẽ thế nào ạ??

Không phải lúc nào nó cũng lỗi nếu không chạy lệnh NS. truờng hợp nỗi thỉnh thoảng mới xảy ra. thay vì hỏi lại mình như thế này sao bạn không thử chạy với truờng hợp như bạn vừa nêu để thấy kết quả? :undecided:
  • 1

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD